## xmlrpc-light 0.6.1

=== Makefile ===
OCAMLMAKEFILE = OCamlMakefile

RESULT = xmlrpc-light
SOURCES = XmlRpcBase64.mli XmlRpcBase64.ml XmlRpcDateTime.mli XmlRpcDateTime.ml XmlRpc.mli XmlRpc.ml XmlRpcServer.mli XmlRpcServer.ml
PACKS = xml-light,netclient,nethttpd-for-netcgi2
LIBINSTALL_FILES = XmlRpcBase64.mli XmlRpcBase64.cmi XmlRpcDateTime.mli XmlRpcDateTime.cmi XmlRpc.mli XmlRpc.cmi XmlRpcServer.mli XmlRpcServer.cmi xmlrpc-light.cma xmlrpc-light.cmxa xmlrpc-light.a
OCAMLDOC = ocamlfind ocamldoc -package xml-light,nethttpd-for-netcgi2
DOC_FILES = XmlRpc.mli XmlRpcServer.mli XmlRpcDateTime.mli XmlRpcBase64.mli

all: native-code-library byte-code-library
install: libinstall
uninstall: libuninstall

.PHONY: test
test: byte-code-library
	ocaml test/test.ml

include $(OCAMLMAKEFILE)

=== examples/adder/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

RESULT = adder
SOURCES = adder.ml
PACKS = xmlrpc-light,nethttpd-for-netcgi2

all: native-code

include $(OCAMLMAKEFILE)

=== examples/genclient/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

RESULT = genclient
SOURCES = genclient.ml
PACKS = xmlrpc-light

include $(OCAMLMAKEFILE)

=== examples/ubigraph/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

RESULT = test
SOURCES = Ubigraph.mli Ubigraph.ml test.ml
PACKS = xmlrpc-light

include $(OCAMLMAKEFILE)

=== examples/wordpress/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

RESULT = test
SOURCES = WordPress.mli WordPress.ml test.ml
PACKS = xmlrpc-light

include $(OCAMLMAKEFILE)

=== debian/changelog ===
xmlrpc-light (0.6.1-6build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 08:16:56 +0100

xmlrpc-light (0.6.1-6) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat level to 13, and do no longer use cdbs
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libocamlnet-ocaml-dev (>=
      4.0.4).
    + Build-Depends: Drop versioned constraint on dh-ocaml (>= 0.9).
  * Drop fields with obsolete URLs.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 09 Aug 2023 13:39:35 +0200

xmlrpc-light (0.6.1-5) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Sep 2019 09:17:11 +0200

xmlrpc-light (0.6.1-4) unstable; urgency=medium

  * Port to ocamlnet 4.0.4
    - Bump minimum version requirement on ocamlnet to 4.0.4~
    - Replace uses of Http_client by Nethttp_client
    - Use package nethttpd instead of nethttpd-for-netcgi2 when building
      the library and its ocamldoc documentation, in the META file as well
      as in example and test files.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 16 Oct 2015 23:50:43 +0200

xmlrpc-light (0.6.1-3) unstable; urgency=low

  * Team upload
  * Fix build with ocamlnet 3.3.5
  * debian/control:
    - remove Stefano from Uploaders
    - suggest ocaml-findlib
    - bump Standards-Version to 3.9.2
  * Switch source package format to 3.0 (quilt)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 17:10:04 +0200

xmlrpc-light (0.6.1-2) unstable; urgency=low

  * Use ocaml.mk as a CDBS "rules" file (Closes: #549723)
  * Swap the include order of debhelper.mk and dpatch.mk to workaround
    a CDBS bug.
  * Add myself to uploaders
  * Move the package to section ocaml
  * Use new features of dh-ocaml 0.9
    - Generate documentation using dh_ocamldoc
  * Bump standards version to 3.8.3
    - Add a debian/README.source

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 13:19:46 +0100

xmlrpc-light (0.6.1-1) unstable; urgency=low

  * new upstream release
  * fix lintian warnings
  * update std version to 3.8.1
  * bump debhelper compat to 7
  * add build dependency to dh-ocaml
  * add debian/clean file
  * switch packaging to git

 -- Pietro Abate <pietro.abate@pps.jussieu.fr>  Fri, 20 Mar 2009 14:09:38 +0100

xmlrpc-light (0.6-3) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * debian/control: set d-o-m as the Maintainer, me and Pietro as Uploaders

  [ Pietro Abate ]
  * fix url in debian/watch (Closes: #456488)
  * fix build error for architectures that do not support
    ocamlopt (Closes: #457348)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 31 Jan 2008 11:20:31 +0100

xmlrpc-light (0.6-2) unstable; urgency=low

  * fixed typo in the copyright file
  * added XmlRpcDateTime.cmi and XmlRpcDateTime.mli to the package
  * fixed documentation

 -- Pietro Abate <pietro.abate@pps.jussieu.fr>  Thu, 20 Dec 2007 13:08:12 +0100

xmlrpc-light (0.6-1) unstable; urgency=low

  * Initial Release (Closes: #452076)

 -- Pietro Abate <pietro.abate@pps.jussieu.fr>  Mon, 26 Nov 2007 19:03:16 +0100

=== debian/control ===
Source: xmlrpc-light
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Pietro Abate <pietro.abate@pps.jussieu.fr>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 libocamlnet-ocaml-dev,
 libxml-light-ocaml-dev,
 libnethttpd-ocaml-dev,
 ocaml-findlib,
 libfindlib-ocaml-dev,
 libounit-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/xmlrpc-light.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/xmlrpc-light

Package: libxmlrpc-light-ocaml-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends},
 libocamlnet-ocaml,
 libxml-light-ocaml-dev,
 libnethttpd-ocaml-dev
Provides:
 ${ocaml:Provides}
Suggests:
 ocaml-findlib
Description: XmlRpc-Light is an XmlRpc library written in OCaml
 XmlRpc Light is a minimal XmlRpc library based on Xml Light
 and Ocamlnet.
 .
 It provides a type for values, a client class with a simple
 calling interface, and low-level tools that can be used to
 implement a server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
INSTALLDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)/xmlrpc-light

DEB_MAKE_CLEAN_TARGET    := clean

DEB_MAKE_BUILD_TARGET    := byte-code-library
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += native-code-library
endif

DEB_MAKE_INSTALL_TARGET  := install
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_INSTALL_TARGET  += installopt
endif
DEB_MAKE_INSTALL_TARGET  += INSTALLDIR="$(INSTALLDIR)"

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	mkdir -p $(INSTALLDIR)
	$(MAKE) $(DEB_MAKE_INSTALL_TARGET)
